Page MenuHomePhabricator

Validate a book's JSON block against a JSON schema.
Closed, DeclinedPublic

Description

Author: molly.white5

Description:
Each block needs to be validated against a schema to confirm that it has the required properties, that it doesn't have extra properties, and that each property is of the correct type.


Version: unspecified
Severity: normal

Details

Reference
bz50958

Related Objects

StatusAssignedTask
OpenNone
OpenNone
OpenNone
OpenNone
OpenNone
OpenNone
OpenNone
OpenNone
ResolvedNone
OpenNone
OpenNone
OpenNone
DeclinedNone
ResolvedNone
DeclinedNone
DeclinedNone
DeclinedNone
ResolvedNone
DeclinedNone
InvalidNone

Event Timeline

bzimport raised the priority of this task from to Low.Nov 22 2014, 1:58 AM
bzimport set Reference to bz50958.
bzimport created this task.Jul 8 2013, 5:17 PM
Aklapper lowered the priority of this task from Low to Lowest.Feb 11 2016, 6:08 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 11 2016, 6:08 PM
MarcoAurelio closed this task as Declined.Nov 7 2017, 9:53 AM
MarcoAurelio added a subscriber: MarcoAurelio.

Declining because BookManagerv2 is an archived extension now. Please see T178938: Archive the BookManagerv2 extension for details. All Gerrit patches were already abandoned long ago.